%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/cncf/xds
%global commit          e9ce68804cb4e64cab5a52e3c8baf840d4ff87b7 

%gometa

%global common_description %{expand:
XDS API Working Group.}

%global golicenses      LICENSE
%global godocs          DEVELOPER.md README.md proposals/README.md\\\
                        proposals/TP1-xds-transport-next.md proposals/XRFC-\\\
                        TEMPLATE.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        XDS API Working Group

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 13 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
